{
  lib,
  config,
  ...
}:
with lib;
let
  cfg = config.global.fs;
in
mkIf (cfg.type == "xfs") {
  # NOTE: -m reflink=1
  fileSystems."/nix" = {
    device = "/dev/disk/by-uuid/${cfg.store}";
    fsType = "xfs";
    options = [ "noatime" ];
  };
}
